- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::ClipPlane Class Reference

Encapsulates OpenGL glClipPlane(). More...

Inheritance diagram for osg::ClipPlane:

[legend]
List of all members.

## Public Member Functions
| ClipPlane ()
| ClipPlane (unsigned int no, const Vec4 &plane)
| ClipPlane (unsigned int no, const Plane &plane)
| ClipPlane (unsigned int no, double a, double b, double c, double d)
| ClipPlane (const ClipPlane &cp, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, ClipPlane, CLIPPLANE)
virtual int | compare (const StateAttribute &sa) const
| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual unsigned int | getMember ()
virtual bool | getModeUsage (ModeUsage &usage) const
void | setClipPlane (const Vec4 &plane)
| Defines the clip plane with the given Vec4.
void | setClipPlane (const Plane &plane)
| Defines this plane with the given Plane.
void | setClipPlane (const double *plane)
| Defines the clip plane with the given double[4].
void | setClipPlane (double a, double b, double c, double d)
| Defines the plane as [ a b c d ].
void | getClipPlane (Vec4 &plane) const
| Gets the clip plane as a Vec4.
void | getClipPlane (Plane &plane) const
| Gets the clip plane as a Plane.
void | getClipPlane (double *plane) const
| Gets the clip plane as an array of doubles.
void | setClipPlaneNum (unsigned int num)
| Sets the clip plane number.
unsigned int | getClipPlaneNum () const
| Gets the clip plane number.
virtual void | apply (State &state) const
| Applies the clip plane's state to the OpenGL state machine.
## Protected Member Functions
virtual | ~ClipPlane ()
## Protected Attributes
double | _clipPlane [4]
unsigned int | _clipPlaneNum

## Detailed Description

Encapsulates OpenGL glClipPlane().

## Constructor & Destructor Documentation

ClipPlane::ClipPlane | ( |  | ) |

osg::ClipPlane::ClipPlane | ( | unsigned int | no,
|  | const Vec4 & | plane
| ) | `[inline]`

osg::ClipPlane::ClipPlane | ( | unsigned int | no,
|  | const Plane & | plane
| ) | `[inline]`

osg::ClipPlane::ClipPlane | ( | unsigned int | no,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d
| ) | `[inline]`

osg::ClipPlane::ClipPlane | ( | const ClipPlane & | cp,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

ClipPlane::~ClipPlane | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void ClipPlane::apply | ( | State & | state | ) | const`[virtual]`

| Applies the clip plane's state to the OpenGL state machine. Implements osg::StateAttribute.

virtual int osg::ClipPlane::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

void ClipPlane::getClipPlane | ( | double * | plane | ) | const

| Gets the clip plane as an array of doubles.

void ClipPlane::getClipPlane | ( | Plane & | plane | ) | const

| Gets the clip plane as a Plane.

void ClipPlane::getClipPlane | ( | Vec4 & | plane | ) | const

| Gets the clip plane as a Vec4.

unsigned int ClipPlane::getClipPlaneNum | ( |  | ) | const

| Gets the clip plane number.

virtual unsigned int osg::ClipPlane::getMember | ( |  | ) | `[inline, virtual]`

virtual bool osg::ClipPlane::getModeUsage | ( | ModeUsage & | usage | ) | const`[inline, virtual]`

osg::ClipPlane::META_StateAttribute | ( | osg | ,
|  | ClipPlane | ,
|  | CLIPPLANE |
| ) |

void osg::ClipPlane::setClipPlane | ( | double | a,
|  | double | b,
|  | double | c,
|  | double | d
| ) | `[inline]`

| Defines the plane as [ a b c d ].

void ClipPlane::setClipPlane | ( | const double * | plane | ) |

| Defines the clip plane with the given double[4].

void ClipPlane::setClipPlane | ( | const Plane & | plane | ) |

| Defines this plane with the given Plane.

void ClipPlane::setClipPlane | ( | const Vec4 & | plane | ) |

| Defines the clip plane with the given Vec4.

void ClipPlane::setClipPlaneNum | ( | unsigned int | num | ) |

| Sets the clip plane number.

## Member Data Documentation

double osg::ClipPlane::_clipPlane[4]`[protected]`

unsigned int osg::ClipPlane::_clipPlaneNum`[protected]`

The documentation for this class was generated from the following files:

- ClipPlane
- ClipPlane.cpp